@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  yvan-dsf startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and YVAN_DSF_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\yvan-dsf-1.0-SNAPSHOT.jar;%APP_HOME%\lib\yvan-platform-1.0-SNAPSHOT.jar;%APP_HOME%\lib\spring-boot-starter-freemarker-1.5.4.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-web-1.5.4.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-cache-1.5.4.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-data-redis-1.5.4.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-aop-1.5.4.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-amqp-1.5.4.RELEASE.jar;%APP_HOME%\lib\mybatis-plus-boot-starter-2.2.0.jar;%APP_HOME%\lib\spring-boot-starter-jdbc-1.5.4.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-1.5.4.RELEASE.jar;%APP_HOME%\lib\dubbo-2.5.6.jar;%APP_HOME%\lib\zkclient-0.10.jar;%APP_HOME%\lib\elastic-job-lite-spring-2.1.5.jar;%APP_HOME%\lib\elastic-job-lite-core-2.1.5.jar;%APP_HOME%\lib\elastic-job-common-core-2.1.5.jar;%APP_HOME%\lib\curator-recipes-2.10.0.jar;%APP_HOME%\lib\curator-framework-2.10.0.jar;%APP_HOME%\lib\curator-client-2.10.0.jar;%APP_HOME%\lib\zookeeper-3.4.9.jar;%APP_HOME%\lib\javassist-3.18.2-GA.jar;%APP_HOME%\lib\org.dom4j.dom4j-1.6.1.jar;%APP_HOME%\lib\jackson-datatype-joda-2.8.8.jar;%APP_HOME%\lib\java-jwt-3.2.0.jar;%APP_HOME%\lib\spring-rabbit-1.7.3.RELEASE.jar;%APP_HOME%\lib\http-client-1.1.1.RELEASE.jar;%APP_HOME%\lib\jackson-databind-2.8.8.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.8.8.jar;%APP_HOME%\lib\jackson-core-2.8.8.jar;%APP_HOME%\lib\jackson-annotations-2.8.0.jar;%APP_HOME%\lib\spring-boot-autoconfigure-1.5.4.RELEASE.jar;%APP_HOME%\lib\spring-boot-1.5.4.RELEASE.jar;%APP_HOME%\lib\spring-webmvc-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-web-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-data-redis-1.8.4.RELEASE.jar;%APP_HOME%\lib\spring-context-support-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-messaging-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-data-keyvalue-1.2.4.RELEASE.jar;%APP_HOME%\lib\spring-context-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-aop-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-jdbc-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-tx-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-oxm-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-data-commons-1.13.4.RELEASE.jar;%APP_HOME%\lib\spring-beans-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-expression-4.3.9.RELEASE.jar;%APP_HOME%\lib\spring-retry-1.2.0.RELEASE.jar;%APP_HOME%\lib\spring-amqp-1.7.3.RELEASE.jar;%APP_HOME%\lib\spring-core-4.3.9.RELEASE.jar;%APP_HOME%\lib\joda-time-2.9.9.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\jest-2.0.4.jar;%APP_HOME%\lib\jest-common-2.0.4.jar;%APP_HOME%\lib\commons-lang3-3.4.jar;%APP_HOME%\lib\commons-io-2.5.jar;%APP_HOME%\lib\httpclient-4.5.3.jar;%APP_HOME%\lib\commons-codec-1.10.jar;%APP_HOME%\lib\mybatis-plus-2.2.0.jar;%APP_HOME%\lib\mybatis-plus-core-2.2.0.jar;%APP_HOME%\lib\mybatis-plus-generate-2.2.0.jar;%APP_HOME%\lib\mybatis-plus-support-2.2.0.jar;%APP_HOME%\lib\druid-1.1.2.jar;%APP_HOME%\lib\mysql-connector-java-5.1.42.jar;%APP_HOME%\lib\metrics-core-3.1.4.jar;%APP_HOME%\lib\jolokia-core-1.3.6.jar;%APP_HOME%\lib\spring-aspects-4.3.9.RELEASE.jar;%APP_HOME%\lib\guava-19.0.jar;%APP_HOME%\lib\jansi-1.17.1.jar;%APP_HOME%\lib\springloaded-1.2.7.RELEASE.jar;%APP_HOME%\lib\thumbnailator-0.4.8.jar;%APP_HOME%\lib\spring-boot-starter-logging-1.5.4.RELEASE.jar;%APP_HOME%\lib\snakeyaml-1.17.jar;%APP_HOME%\lib\netty-3.2.5.Final.jar;%APP_HOME%\lib\jline-0.9.94.jar;%APP_HOME%\lib\netty-3.10.5.Final.jar;%APP_HOME%\lib\dom4j-1.6.1.jar;%APP_HOME%\lib\hibernate-validator-5.3.5.Final.jar;%APP_HOME%\lib\freemarker-2.3.26-incubating.jar;%APP_HOME%\lib\jedis-2.9.0.jar;%APP_HOME%\lib\aspectjweaver-1.8.10.jar;%APP_HOME%\lib\logback-classic-1.1.11.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.25.jar;%APP_HOME%\lib\jul-to-slf4j-1.7.25.jar;%APP_HOME%\lib\log4j-over-slf4j-1.7.25.jar;%APP_HOME%\lib\quartz-2.2.1.jar;%APP_HOME%\lib\amqp-client-4.0.2.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\json-simple-1.1.1.jar;%APP_HOME%\lib\httpcore-nio-4.4.4.jar;%APP_HOME%\lib\httpasyncclient-4.1.3.jar;%APP_HOME%\lib\bcprov-jdk15on-1.55.jar;%APP_HOME%\lib\log4j-1.2.16.jar;%APP_HOME%\lib\validation-api-1.1.0.Final.jar;%APP_HOME%\lib\jboss-logging-3.3.1.Final.jar;%APP_HOME%\lib\classmate-1.3.3.jar;%APP_HOME%\lib\spring-boot-starter-tomcat-1.5.4.RELEASE.jar;%APP_HOME%\lib\commons-pool2-2.4.2.jar;%APP_HOME%\lib\tomcat-jdbc-8.5.15.jar;%APP_HOME%\lib\gson-2.8.0.jar;%APP_HOME%\lib\httpcore-4.4.6.jar;%APP_HOME%\lib\commons-exec-1.3.jar;%APP_HOME%\lib\logback-core-1.1.11.jar;%APP_HOME%\lib\tomcat-embed-websocket-8.5.15.jar;%APP_HOME%\lib\tomcat-embed-core-8.5.15.jar;%APP_HOME%\lib\tomcat-embed-el-8.5.15.jar;%APP_HOME%\lib\jsqlparser-1.1.jar;%APP_HOME%\lib\mybatis-spring-1.3.2.jar;%APP_HOME%\lib\mybatis-3.4.6.jar;%APP_HOME%\lib\tomcat-juli-8.5.15.jar

@rem Execute yvan-dsf
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %YVAN_DSF_OPTS%  -classpath "%CLASSPATH%" com.jzt.hyb.JztHybMsgcenterConsumeApplication %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable YVAN_DSF_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%YVAN_DSF_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
